Loading...
Searching...
No Matches
oval_parser.c File Reference

Open Vulnerability and Assessment Language. More...

`#include <string.h>`
`#include <libxml/xmlreader.h>`
`#include <stddef.h>`
`#include "public/oval_agent_api.h"`
`#include "oval_agent_api_impl.h"`
`#include "oval_parser_impl.h"`
`#include "oval_definitions_impl.h"`
`#include "common/util.h"`
`#include "common/debug_priv.h"`
`#include "common/_error.h"`
`#include "common/elements.h"`
`#include "common/public/oscap.h"`
`#include "source/public/oscap_source.h"`
`#include "source/oscap_source_priv.h"`
Include dependency graph for oval_parser.c:

## Functions

int | oval_parser_parse_tag (xmlTextReaderPtr reader, struct oval_parser_context *context, oval_xml_tag_parser tag_parser, void *user)
| -1 error; 0 OK; 1 warning
char * | oval_determine_document_schema_version_priv (xmlTextReader *reader, oscap_document_type_t doc_type)
int | oval_definition_model_parse (xmlTextReaderPtr reader, struct oval_parser_context *context)
int | oval_parser_skip_tag (xmlTextReaderPtr reader, struct oval_parser_context *context)
int | oval_parser_boolean_attribute (xmlTextReaderPtr reader, char *attname, int defval)
int | oval_parser_int_attribute (xmlTextReaderPtr reader, char *attname, int defval)

## Detailed Description

Open Vulnerability and Assessment Language.

See more details at http://oval.mitre.org/